@import 'settings';
@import 'mixins';

// Media inlines
.inline-group.related-media-inline {
    .inline-related {
        border-width: 0;

        h3 {
            > b {
                display: none;
            }

            .inline_label {
                display: none;
            }
        }

        fieldset.module.aligned {
            margin-bottom: 0;
        }

        &:not(.empty-form) {
            box-sizing: border-box;
            position: relative;
            display: inline-block;
            vertical-align: top;
            width: 220px;
            padding: 0 10px 0 10px;
            margin-bottom: 20px;
            border: 0;
            background: transparent;

            .form-row {
                width: 100%;
                padding: 0;
                text-align: center;
                border-bottom: 0;

                .flex-container.fk-raw-id-container {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: nowrap;
                    justify-content: center;

                    > label,
                    > input,
                    .related-lookup {
                        display: none !important;
                    }

                    > strong {
                        margin-left: -1ex;
                    }
                }
            }

            .media-image {
                position: relative;
                width: 200px;
                margin: 0 auto;
                text-align: center;

                img {
                    display: block;
                    max-width: 200px;
                    max-height: 200px;
                    height: auto;
                    width: auto;
                    margin: 0 auto;
                }

                &.empty {
                    display: block;
                    width: 200px;
                    height: 200px;
                }

                .icon {
                    font-size: 60px;
                    padding: 40px 30px;
                }
            }

            .media-title {
                text-align: center;
                margin: 8px 0 15px 0;
                max-width: 200px;
                color: var(--color-gray-900);
                font-weight: normal;
                font-size: 13px;
                word-wrap: break-word;
            }

            h3 {
                position: static;
                height: 0;
                padding-left: 0;
                padding-right: 6px;
                border: 0 !important;

                .inline-deletelink {
                    position: absolute;
                    z-index: 10;
                    right: 0;
                    top: -5px;
                }
            }

            h3 .sortable-drag-handle {
                z-index: 1;
                width: calc(100% - 10px);
                height: calc(100% - 25px);

                &::before {
                    display: none !important;
                }
            }

            .delete {
                position: relative;
                display: inline-block;
                margin-left: 15px;
                width: auto;
                z-index: 10;
                line-height: 1;

                > input,
                > label {
                    display: inline-block;
                    vertical-align: top;
                    width: auto;
                    line-height: 1;
                    font-size: 13px;
                    cursor: pointer;
                }

                > label {
                    min-width: 0;
                    padding: 0;
                    margin-left: -1px;
                    color: var(--error-fg);
                    text-transform: lowercase;

                    &:hover {
                        color: var(--error-fg-dark);
                    }
                }

                > input {
                    margin: 0;
                }
            }
        }
    }

    .add-row {
        margin-top: 40px;
    }
}
